# $Revision: 1.251 $, $Date: 2012/04/23 06:25:27 $
#
# TODO:
# - relies on libs in /usr which is wrong
#   (well, for modules bringing additional functionality it's acceptable IMO --q)
# - use external libivykis [>= 0.18+syslog-ng updates]
#
# Conditional build:
%bcond_with	dynamic		# link dynamically with glib, eventlog, pcre (modules are always linked dynamically)
%if "%{pld_release}" == "ac"
%bcond_with	sql		# build with support for logging to SQL DB
%else
%bcond_without	sql		# build without support for logging to SQL DB
%endif
%bcond_without	tests
%bcond_without	json		# build without support for JSON template formatting
%bcond_without	mongodb		# build without support for mongodb destination

%if "%{pld_release}" == "ac"
%define		glib2_ver	1:2.16.0
%else
%define		glib2_ver	1:2.24.0
%endif
Summary:	Syslog-ng - new generation of the system logger
Summary(pl.UTF-8):	Syslog-ng - systemowy demon logujący nowej generacji
Summary(pt_BR.UTF-8):	Daemon de log nova geração
Name:		syslog-ng
Version:	3.3.5
Release:	3
License:	GPL v2+ with OpenSSL exception
Group:		Daemons
Source0:	http://www.balabit.com/downloads/files/syslog-ng/open-source-edition/%{version}/source/%{name}_%{version}.tar.gz
# Source0-md5:	a69e725854301ecda26dbe51f3a10645
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.logrotate
Source4:	http://www.balabit.com/support/documentation/%{name}-ose-v3.3-guide-admin-en.pdf
# Source4-md5:	bb23e36a8f44956858f2d622f9d1826d
Source5:	%{name}-simple.conf
Source6:	%{name}.upstart
Patch0:		%{name}-datadir.patch
Patch1:		cap_syslog-vserver-workaround.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-systemd.patch
URL:		http://www.balabit.com/products/syslog_ng/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	bison >= 2.4
BuildRequires:	eventlog-devel >= 0.2.12
BuildRequires:	flex
BuildRequires:	glib2-devel >= %{glib2_ver}
%{?with_json:BuildRequires:	json-c-devel >= 0.7}
BuildRequires:	libcap-devel
%{?with_sql:BuildRequires:	libdbi-devel >= 0.8.3-2}
%{?with_mongodb:BuildRequires:	libmongo-client-devel >= 0.1.0}
BuildRequires:	libnet-devel >= 1:1.1.2.1-3
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	pcre-devel >= 6.1
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.623
BuildRequires:	which
%if %{with tests}
%{?with_sql:BuildRequires:	libdbi-drivers-sqlite3}
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	tzdata
%endif
%if %{without dynamic}
BuildRequires:	eventlog-static >= 0.2.12
BuildRequires:	glib2-static >= %{glib2_ver}
BuildRequires:	pcre-static >= 6.1
BuildRequires:	zlib-static
%endif
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
Requires:	eventlog >= 0.2.12
Requires:	glib2 >= %{glib2_ver}
Requires:	pcre >= 6.1
Requires:	psmisc >= 20.1
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38
# for afsocket
Requires:	libnet >= 1:1.1.2.1-7
# for afsocket and dbparser
Requires:	openssl >= 0.9.8
Provides:	service(klogd)
Provides:	service(syslog)
Provides:	syslogdaemon
Obsoletes:	syslog-ng-module-afsocket
Obsoletes:	syslog-ng-module-dbparser
Obsoletes:	syslog-ng-systemd
Conflicts:	klogd
Conflicts:	msyslog
Conflicts:	rsyslog
Conflicts:	syslog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# syslog-ng has really crazy linking rules (see their bugzilla).
# Some rules, according to syslog-ng devs, are like this:
# - libsyslog-ng.so has undefined symbols for third party libraries
#   and these symbols should go via main syslog-ng binary
# - same applies for modules
# In dynamic case tests are forcily linked with dynamic modules, which doesn't work with as-needed.
%define		filterout_ld			-Wl,--as-needed -Wl,--no-copy-dt-needed-entries
%if %{without dynamic}
%define		no_install_post_check_so	1
%define		_sbindir			/sbin
%define		_libdir				/%{_lib}
%endif

%description
syslog-ng is a syslogd replacement for Unix and Unix-like systems. It
has been tested on Solaris, BSDi and Linux, and were found to run
reliably. syslog-ng gives you a much enhanced configuration scheme,
which lets you filter messages based on not only priority/facility
pairs, but also on message content. You can use regexps to direct log
stream to different destinations. A destination can be anything from a
simple file to a network connection. syslog-ng supports TCP
logforwarding, together with hashing to prevent unauthorized
modification on the line.

%description -l pl.UTF-8
Syslog-ng jest zamiennikiem dla standardowo używanych programów typu
syslog. Działa w systemie SunOS, BSD, Linux. Daje znacznie większe
możliwości logowania i kontrolowania zbieranych informacji.

%description -l pt_BR.UTF-8
Syslog-ng é um substituto para o syslog tradicional, mas com diversas
melhorias, como, por exemplo, a habilidade de filtrar mensagens de log
por seu conteúdo (usando expressões regulares) e não apenas pelo par
facility/prioridade como o syslog original.

%package upstart
Summary:	Upstart job description for syslog-ng
Summary(pl.UTF-8):	Opis zadania Upstart dla demona syslog-ng
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	upstart >= 0.6
Conflicts:	avahi-upstart < 0.6.30-2
Conflicts:	openssh-server-upstart < 2:5.8p2-2
Conflicts:	postgresql-upstart < 9.0.4-2

%description upstart
Upstart job description for syslog-ng.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla demona syslog-ng.

%package module-afmongodb
Summary:	MongoDB destination support module for syslog-ng
Summary(pl.UTF-8):	Moduł sysloga-ng do obsługi zapisu logów w bazie MongoDB
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmongo-client >= 0.1.0

%description module-afmongodb
MongoDB destination support module for syslog-ng.

%description module-afmongodb -l pl.UTF-8
Moduł sysloga-ng do obsługi zapisu logów w bazie MongoDB.

%package module-afsql
Summary:	SQL destination support module for syslog-ng
Summary(pl.UTF-8):	Moduł sysloga-ng do obsługi zapisu logów w bazach SQL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdbi >= 0.8.3-2
Requires:	openssl >= 0.9.8

%description module-afsql
SQL destination support module for syslog-ng (via libdbi).

%description module-afsql -l pl.UTF-8
Moduł sysloga-ng do obsługi zapisu logów w bazach SQL (poprzez
libdbi).

%package module-tfjson
Summary:	JSON formatting template function for syslog-ng
Summary(pl.UTF-8):	Moduł sysloga-ng do obsługi szablonów z formatowaniem JSON
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	json-c >= 0.7

%description module-tfjson
JSON formatting template function for syslog-ng.

%description module-tfjson -l pl.UTF-8
Moduł sysloga-ng do obsługi szablonów z formatowaniem JSON.

%package libs
Summary:	Shared library for syslog-ng
Summary(pl.UTF-8):	Biblioteka współdzielona sysloga-ng
Group:		Libraries
%if %{with dynamic}
Requires:	eventlog >= 0.2.12
Requires:	glib2 >= %{glib2_ver}
Requires:	pcre >= 6.1
%endif
Conflicts:	syslog-ng < 3.3.1-3

%description libs
Shared library for syslog-ng.

%description libs -l pl.UTF-8
Biblioteka współdzielona sysloga-ng.

%package devel
Summary:	Header files for syslog-ng modules development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia modułów dla sysloga-ng
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%if %{with dynamic}
Requires:	eventlog-devel >= 0.2.12
Requires:	glib2-devel >= %{glib2_ver}
Requires:	pcre-devel >= 6.1
%endif

%description devel
Header files for syslog-ng modules development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia modułów dla sysloga-ng.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp -a %{SOURCE4} doc
cp -a %{SOURCE5} contrib/syslog-ng.conf.simple

%{__sed} -i -e 's|/usr/bin/awk|/bin/awk|' scl/syslogconf/convert-syslogconf.awk

%build
for i in . lib/ivykis; do
cd $i
	%{__libtoolize}
	%{__aclocal} -I m4
	%{__autoconf}
	%{__autoheader}
	%{__automake}
cd -
done
%configure \
	--sysconfdir=%{_sysconfdir}/syslog-ng \
	--datadir=%{_datadir}/syslog-ng \
	--with-default-modules=affile,afprog,afsocket,afuser,basicfuncs,csvparser,dbparser,syslogformat \
%if %{with mongodb}
	--enable-mongodb \
	--with-libmongo-client=system \
%else
	--disable-mongodb \
%endif
	--with-module-dir=%{_libdir}/syslog-ng \
	--with-pidfile-dir=/var/run \
	--with-timezone-dir=%{_datadir}/zoneinfo \
	--enable-systemd \
	--with-systemdsystemunitdir=%{systemdunitdir} \
	--enable-ipv6 \
	--enable-linux-caps \
	--enable-pacct \
	--enable-pcre \
	--enable-spoof-source \
	--enable-ssl \
	--enable-tcp-wrapper \
%if %{with json}
	--enable-json \
%else
	--disable-json \
%endif
%if %{with sql}
	--enable-sql \
%endif
%if %{with dynamic}
	--enable-dynamic-linking
%else
	--enable-mixed-linking
%endif

%{__make}

%if %{with tests}
LD_LIBRARY_PATH=$PWD/lib/.libs \
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{init,sysconfig,logrotate.d,rc.d/init.d} \
	$RPM_BUILD_ROOT%{_sysconfdir}/syslog-ng/patterndb.d \
	$RPM_BUILD_ROOT/var/{log,lib/%{name}/xsd}

%{__make} -j1 install \
	pkgconfigdir=%{_pkgconfigdir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__sed} -e 's|@@SBINDIR@@|%{_sbindir}|g' %{SOURCE1} > $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog-ng
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/syslog-ng/syslog-ng.conf
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog-ng

for n in daemon debug iptables kernel lpr maillog messages secure spooler syslog user xferlog; do
	> $RPM_BUILD_ROOT/var/log/$n
done
touch $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%{__rm} $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}/loggen*
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/syslog-ng/*.la

%if "%{pld_release}" == "th"
%{__sed} -e 's|@@SBINDIR@@|%{_sbindir}|g' %{SOURCE6} > $RPM_BUILD_ROOT/etc/init/%{name}.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	# disable /proc/kmsg from config on first install on vserver
	{
		while read f ctx; do
			[ "$f" = "VxID:" -o "$f" = "s_context:" ] && break
		done </proc/self/status
	} 2>/dev/null
	if [ -z "$ctx" -o "$ctx" = "0" ]; then
		VSERVER=no
	else
		VSERVER=yes
	fi
	if [ "$VSERVER" = "yes" ]; then
		%{__sed} -i -e '/\/proc\/kmsg/ s/^[^#]/#&/' %{_sysconfdir}/%{name}/%{name}.conf
	fi
fi

/sbin/chkconfig --add syslog-ng
%service syslog-ng restart "syslog-ng daemon"

%systemd_post syslog-ng.service

%preun
if [ "$1" = "0" ]; then
	%service syslog-ng stop
	/sbin/chkconfig --del syslog-ng
fi
%systemd_preun syslog-ng.service

%postun
%systemd_reload

%triggerpostun -- syslog-ng < 3.3.4-3
%systemd_trigger syslog-ng.service

%triggerun -- syslog-ng < 3.0
sed -i -e 's#sync(\(.*\))#flush_lines(\1)#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's#pipe ("/proc/kmsg"#file ("/proc/kmsg"#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's#log_prefix#program_override#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's#^destination #destination d_#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's#destination(#destination(d_#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's,\bstats\b,stats_freq,' /etc/syslog-ng/syslog-ng.conf
sed -i -e 's#match("IN\=\[A-Za-z0-9\]\* OUT=\[A-Za-z0-9\]\*");#match("IN=[A-Za-z0-9]* OUT=[A-Za-z0-9]*" value("MESSAGE"));#g' /etc/syslog-ng/syslog-ng.conf
sed -i -e "1 s#\(.*\)\$#@version: 3.0\n\1#g" /etc/syslog-ng/syslog-ng.conf
rm -f %{_var}/lib/%{name}/syslog-ng.persist
%service -q syslog-ng restart
exit 0

%post upstart
%upstart_post %{name}

%postun upstart
%upstart_postun %{name}

%triggerun upstart -- syslog-ng-upstart < 3.2.4-3
#  use SERVICE_syslog=y in upstart job environment instead of SERVICE=syslog
%{__sed} -i -e 's,SERVICE=syslog,SERVICE_syslog=y,' /etc/init/*.conf || :

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS debian/syslog-ng.conf* contrib/relogger.pl
%doc contrib/syslog-ng.conf.{doc,simple,RedHat}
%doc contrib/{apparmor,selinux,syslog2ng} doc/syslog-ng-ose-v3.3-guide-admin-en.pdf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/syslog-ng
%attr(750,root,root) %dir %{_sysconfdir}/syslog-ng/patterndb.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/syslog-ng/modules.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/syslog-ng/scl.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/syslog-ng/syslog-ng.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/syslog-ng
%attr(754,root,root) /etc/rc.d/init.d/syslog-ng
%{systemdunitdir}/syslog-ng.service
%dir %{_libdir}/syslog-ng
%attr(755,root,root) %{_libdir}/syslog-ng/libaffile.so
%attr(755,root,root) %{_libdir}/syslog-ng/libafprog.so
%attr(755,root,root) %{_libdir}/syslog-ng/libafsocket.so
%attr(755,root,root) %{_libdir}/syslog-ng/libafsocket-notls.so
%attr(755,root,root) %{_libdir}/syslog-ng/libafsocket-tls.so
%attr(755,root,root) %{_libdir}/syslog-ng/libafuser.so
%attr(755,root,root) %{_libdir}/syslog-ng/libbasicfuncs.so
%attr(755,root,root) %{_libdir}/syslog-ng/libconfgen.so
%attr(755,root,root) %{_libdir}/syslog-ng/libconvertfuncs.so
%attr(755,root,root) %{_libdir}/syslog-ng/libcsvparser.so
%attr(755,root,root) %{_libdir}/syslog-ng/libdbparser.so
%attr(755,root,root) %{_libdir}/syslog-ng/libdummy.so
%attr(755,root,root) %{_libdir}/syslog-ng/libpacctformat.so
%attr(755,root,root) %{_libdir}/syslog-ng/libsyslog-ng-crypto.so
%attr(755,root,root) %{_libdir}/syslog-ng/libsyslogformat.so
%attr(755,root,root) %{_sbindir}/syslog-ng
%attr(755,root,root) %{_sbindir}/syslog-ng-ctl
%attr(755,root,root) %{_bindir}/pdbtool
%attr(755,root,root) %{_bindir}/update-patterndb

%dir %{_datadir}/syslog-ng/include
%dir %{_datadir}/syslog-ng/include/scl
%dir %{_datadir}/syslog-ng/include/scl/pacct
%{_datadir}/syslog-ng/include/scl/pacct/plugin.conf
%dir %{_datadir}/syslog-ng/include/scl/syslogconf
%{_datadir}/syslog-ng/include/scl/syslogconf/README
%attr(755,root,root) %{_datadir}/syslog-ng/include/scl/syslogconf/convert-syslogconf.awk
%{_datadir}/syslog-ng/include/scl/syslogconf/plugin.conf
%dir %{_datadir}/syslog-ng/include/scl/system
%attr(755,root,root) %{_datadir}/syslog-ng/include/scl/system/generate-system-source.sh
%{_datadir}/syslog-ng/include/scl/system/plugin.conf
%dir %{_datadir}/syslog-ng/xsd
%{_datadir}/syslog-ng/xsd/patterndb-*.xsd

%dir %{_var}/lib/%{name}
%dir %{_var}/lib/%{name}/xsd
%{_mandir}/man1/pdbtool.1*
%{_mandir}/man1/syslog-ng-ctl.1*
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*

%attr(640,root,root) %ghost /var/log/daemon
%attr(640,root,root) %ghost /var/log/debug
%attr(640,root,root) %ghost /var/log/iptables
%attr(640,root,root) %ghost /var/log/kernel
%attr(640,root,root) %ghost /var/log/lpr
%attr(640,root,root) %ghost /var/log/maillog
%attr(640,root,root) %ghost /var/log/messages
%attr(640,root,root) %ghost /var/log/secure
%attr(640,root,root) %ghost /var/log/spooler
%attr(640,root,root) %ghost /var/log/syslog
%attr(640,root,root) %ghost /var/log/user
%attr(640,root,root) %ghost /var/log/xferlog

%if "%{pld_release}" == "th"
%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%endif

%if %{with mongodb}
%files module-afmongodb
%defattr(644,root,root,755)
%doc modules/afmongodb/TODO
%attr(755,root,root) %{_libdir}/syslog-ng/libafmongodb.so
%endif

%files module-afsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/syslog-ng/libafsql.so

%if %{with json}
%files module-tfjson
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/syslog-ng/libtfjson.so
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsyslog-ng-%{version}.so
%dir %{_datadir}/syslog-ng

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsyslog-ng.so
%{_includedir}/syslog-ng
%{_datadir}/syslog-ng/tools
%{_pkgconfigdir}/syslog-ng.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: syslog-ng.spec,v $
Revision 1.251  2012/04/23 06:25:27  baggins
- rel 3
- fix systemd comments in configs (man systemd-journald.conf ; /ImportKernel)

Revision 1.250  2012/04/20 10:36:24  baggins
- release 2

Revision 1.249  2012/04/17 16:12:29  baggins
- rel 1
- proper systemd versioning

Revision 1.248  2012/04/17 16:01:20  baggins
- 3.3.5
- fix configs for systemd >= 38 with systemd-journal
- set syslog alias in config file instead of manually symlinking it

Revision 1.247  2012/04/01 14:50:08  glen
- release 9

Revision 1.246  2012/03/31 09:22:53  glen
- fix flush-logs in systemd mode, we need generic way doing this instead of each service

Revision 1.245  2012/03/28 07:26:56  arekm
- release 7

Revision 1.244  2012/03/14 17:50:28  baggins
- rel 6
- provide syslog.service symlink for syslog.socket to work

Revision 1.243  2012/02/22 20:46:18  arekm
- release 5

Revision 1.242  2012/02/05 17:40:52  baggins
- rel 4
- added O:*-systemd

Revision 1.241  2012/02/05 16:52:16  baggins
- rel 3
- merge systemd stuff into main package

Revision 1.240  2012/02/04 23:45:06  blues
- provides service(klogd)

Revision 1.239  2012/01/28 11:55:47  arekm
- release 2

Revision 1.238  2012/01/28 11:36:48  baggins
- provide systemd syslog service

Revision 1.237  2012/01/24 11:12:54  jajcus
- mongodb and json bconds added

Revision 1.236  2012/01/23 11:23:15  arekm
- up to 3.3.4

Revision 1.235  2012/01/18 09:33:44  glen
- deps for systemd, according to PLD-doc/BuildRequires.txt

Revision 1.234  2012/01/17 20:21:36  baggins
- rel 2
- enable systemd service

Revision 1.233  2011/12/29 13:16:37  qboosh
- pl for -systemd

Revision 1.232  2011/12/28 00:00:40  zbyniu
- up to 3.3.2

Revision 1.231  2011/12/07 00:40:18  gotar
- C: rsyslog

Revision 1.230  2011/11/29 17:27:39  arekm
- systemd subpackage

Revision 1.229  2011/11/14 06:11:48  arekm
- rel 4; install pc in pkgconfigdir

Revision 1.228  2011/11/11 20:43:51  qboosh
- exclude afsql from default-modules; let it be enabled explicitly in modules.conf

Revision 1.227  2011/11/11 20:42:00  qboosh
- eeh, afsocket is required even for unix() sources, so merged back into base
- dbparser likewise, required by SCL

Revision 1.226  2011/11/11 17:32:43  qboosh
- separated modules pulling additional libs: afmongodb, afsocket, afsql, dbparser, tfjson

Revision 1.225  2011/11/11 09:45:00  qboosh
- added nolibs patch (drop unnecessary linking with -lnsl -lresolv)
- added missing release 3 note to previous changelog entry

Revision 1.224  2011/11/11 09:35:03  qboosh
- package -devel
- separated -libs (required by -devel), so no daemon is required for development
- filterout_ld as-needed options for dynamic linking too (otherwise tests fail)
- BRs/Rs cleanup wrt. dynamic/mixed linking: only core (libsyslong-ng and syslog-ng daemon)
  use mixed linking, everything else is always linked dynamically)
- release 3

Revision 1.223  2011/11/10 17:42:42  qboosh
- use system libmongo-client

Revision 1.222  2011/11/01 09:40:33  qboosh
- it seems to use some forked version of libivykis
- added versioned install time dependencies in dynamic case

Revision 1.221  2011/11/01 05:53:18  qboosh
- bison,libtool versions
- BR: json-c for JSON support (used if found; json-glib also possible)
- --disable-systemd explicitly to avoid using libsystemd_daemon if found

Revision 1.220  2011/11/01 05:39:57  qboosh
- openssl,pcre versions; autoheader calls

Revision 1.219  2011/10/30 10:00:34  arekm
- rel 2; use high (1024) number of max threads, so there is little chance that single infinite destination I/O block will also block other destinations as it's unlikely to have more than 1024 sources+destinations)

Revision 1.218  2011/10/29 18:00:52  arekm
- readd missing lib

Revision 1.217  2011/10/29 17:52:38  arekm
- up to 3.3.1

Revision 1.216  2011/09/10 17:28:15  arekm
- rel 3; some earlier vserver patches used the same capability number as CAP_SYSLOG uses now. syslog-ng was thus thinking it had CAP_SYSLOG while in reality it got CAP_some_vserver capability. Try to workaround this by checking kernel version.

Revision 1.215  2011/08/14 00:59:20  glen
-  upstart: replace SERVICE_syslog=y in upstart job defs for older jobs or if left out services will not be started

Revision 1.214  2011/07/13 10:37:23  paszczus
- cap_syslog.patch (from upstream) is back, rel 2

Revision 1.213  2011/06/15 12:06:09  jajcus
- use SERVICE_syslog=y in upstart job environment instead of SERVICE=syslog,
  so the value is not inherited by other jobs.
- with_tests bcond fixed (run with the library just built)
- Release: 1

Revision 1.212  2011/06/04 12:48:33  arekm
- drop link patch since conflicts with syslog-ng developers idea of linking; filterout --as-needed and --no-copy-dt-needed-entries since these also conflict with syslog-ng developers idea of linking

Revision 1.211  2011/05/30 17:45:02  arekm
- todo: relies on libs in /usr/ which is wrong

Revision 1.210  2011/05/30 17:31:33  arekm
- up to 3.2.4

Revision 1.209  2011/02/05 14:59:38  areq
- syslog-ng-ose-v3.2-guide-admin-en_0.pdf

Revision 1.208  2011/01/28 13:25:43  baggins
- TODO
- 3.2 admin guide
- fix awk path in script
- R libnet in / (we can run syslog-ng without /usr now)

Revision 1.207  2011/01/27 19:44:07  baggins
- more localstatedir fixes
- removed aobsolete patch

Revision 1.206  2011/01/27 19:35:11  baggins
- fixup sbindir path in upstart script

Revision 1.205  2011/01/27 19:34:01  baggins
- fixup sbindir path in init script

Revision 1.204  2011/01/27 19:20:57  baggins
- package remaining files

Revision 1.203  2011/01/27 19:17:42  baggins
- put all noarch data into one directory

Revision 1.202  2011/01/27 17:56:46  baggins
- install to / if build with mixed linking
- run ldconfig in post/postun
- updated files

Revision 1.201  2011/01/27 11:00:23  baggins
- update guide md5

Revision 1.200  2011/01/17 18:21:06  arekm
- initial 3.2.2 update (needs more work)

Revision 1.199  2011/01/17 17:23:46  arekm
- up to 3.0.9 (bug-15 was fixed in a different way, so this patch is obsolete)

Revision 1.198  2011/01/11 22:46:55  glen
- vim syntax available separately: vim-syntax-syslog-ng

Revision 1.197  2010/12/24 16:48:32  glen
- release 5

Revision 1.196  2010/12/24 16:39:44  glen
- disable /proc/kmsg from config on first install on vserver

Revision 1.195  2010/12/18 19:09:25  glen
- ac deps

Revision 1.194  2010/11/25 11:33:56  arekm
- release 4

Revision 1.193  2010/10/08 17:47:54  zbyniu
- fix-dac_override.patch added; rel 3

Revision 1.192  2010/09/29 11:52:00  zbyniu
- fix-unix-stream-caps.patch added; rel 2

Revision 1.191  2010/09/20 10:38:48  glen
- unify sample config filename with other similar

Revision 1.190  2010/08/03 09:25:08  arekm
- up to 3.0.8

Revision 1.189  2010/06/03 01:04:42  sparky
- BR: which
- tests BR: python, python-modules

Revision 1.188  2010/05/24 14:53:12  jajcus
- upstart macros now in rpm-build-macros

Revision 1.187  2010/05/11 15:50:50  jajcus
- do not restart the upstart service twice

Revision 1.186  2010/05/10 15:17:06  jajcus
- Release: 3

Revision 1.185  2010/05/10 12:27:54  jajcus
- rc-scripts dependency fix

Revision 1.184  2010/05/10 12:19:43  jajcus
- restart service on upgrade

Revision 1.183  2010/05/10 12:17:30  jajcus
- 'upstart_native' branch merged

Revision 1.182.2.2  2010/05/07 15:18:42  jajcus
- upstart-related dependencies improved

Revision 1.182.2.1  2010/05/07 08:25:00  jajcus
- upstart even-based startup support

Revision 1.182  2010/05/02 16:44:14  glen
- bump glib2 ver. LP#572862; rel 2

Revision 1.181  2010/04/11 19:20:20  arekm
- up to 3.0.5

Revision 1.180  2010/04/11 19:08:23  arekm
- release 5

Revision 1.179  2009/08/30 10:01:35  arekm
- rel 4; upstream bug 48 (aka syslog-ng hangs so all apps doing syslog() also hang) is supposed to be fixed

Revision 1.178  2009/08/28 12:54:50  wiget
- tzdata required for tests
- release 3

Revision 1.177  2009/06/03 11:58:17  glen
- patch from upstream bugzilla for possible hung fix
- rel 2

Revision 1.176  2009/06/01 13:26:57  glen
- add simple config; why not rel 1?

Revision 1.175  2009/06/01 13:14:49  glen
- do not package loggen (it's a syslog-ng testing tool)

Revision 1.174  2009/05/12 14:59:55  baggins
- fixed test cases

Revision 1.173  2009/05/12 09:54:31  baggins
- up to 3.0.2
- zone_test fails

Revision 1.172  2009/04/14 12:50:08  arekm
- release 14

Revision 1.171  2009/04/12 07:26:16  arekm
- enable make check

Revision 1.170  2009/03/19 15:59:44  glen
- does not require logrotate; rel 13

Revision 1.169  2009/03/09 09:34:07  arekm
- release 12

Revision 1.168  2009/02/19 20:09:14  arekm
- rel 11; git fixes

Revision 1.167  2009/02/19 14:07:25  glen
- nah, don't create the empty logs, i could have totally different config

Revision 1.166  2009/02/02 07:46:22  arekm
- release 10

Revision 1.165  2009/02/01 20:10:09  arekm
- rel 9; one more upstream fix

Revision 1.164  2009/01/27 12:23:40  glen
- release 8

Revision 1.163  2009/01/26 21:56:38  glen
- stats -> stats_freq in config trigger; rel 7

Revision 1.162  2009/01/21 21:49:54  arekm
- rel 6; one more fix in default config

Revision 1.161  2009/01/20 17:55:26  glen
- silence restart in trigger

Revision 1.160  2009/01/20 17:19:11  arekm
- restart after trigger

Revision 1.159  2009/01/20 17:18:32  arekm
- rel 5; trigger for sync() directive

Revision 1.158  2009/01/20 10:40:21  arekm
- rel 4; fix configtest (and syslog-ng restart)

Revision 1.157  2009/01/18 18:40:23  arekm
- rel 3; add trigger

Revision 1.156  2009/01/16 10:53:58  arekm
- user resolving fix; updated config

Revision 1.155  2008/12/26 22:37:29  baggins
- replace non-existing reference guide with current admin guide

Revision 1.154  2008/12/26 22:16:53  baggins
- up to 3.0.1
- new in this version: SSL/TLS, IPv6, logging to SQL DB, pcre
- it seems html docs disappeared

Revision 1.153  2008/12/26 17:16:18  gotar
- more %doc files

Revision 1.152  2008/12/26 16:59:51  gotar
- updated Source0, added TODO (upgrades available)

Revision 1.151  2008/11/28 10:20:28  glen
- release 2

Revision 1.150  2008/11/27 19:16:07  arekm
- up to 2.0.10

Revision 1.149  2008-06-11 15:50:55  hawk
- release 3

Revision 1.148  2008-06-01 14:26:27  glen
- release 2

Revision 1.147  2008-05-31 11:45:44  qboosh
- updated to 2.0.9

Revision 1.146  2008-04-02 19:44:40  glen
- release 2

Revision 1.145  2008-03-01 18:58:59  qboosh
- updated to 2.0.8

Revision 1.144  2008-02-07 08:55:00  ankry
- unix -> Unix, gpl -> GPL, etc.

Revision 1.143  2008-01-13 17:24:19  qboosh
- updated to 2.0.7

Revision 1.142  2007-12-20 17:12:54  megabajt
- added CVE reference for revision 1.139

Revision 1.141  2007-12-08 07:38:30  hawk
- keep syslong-ng.persist file in /var/lib/syslog-ng instead of /var
- release 2

Revision 1.140  2007-12-06 15:09:46  blues
- oops, rel.1

Revision 1.139  2007-12-06 15:07:51  blues
- 2.0.6 [fixes CVE-2007-6437]

Revision 1.138  2007-11-10 13:04:00  hawk
- updated to 2.0.5

Revision 1.137  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.136  2007/08/26 11:53:57  qboosh
- Conflicts: klogd for consistency

Revision 1.135  2007/08/04 16:10:37  patrys
- conflict instead of obsolete

Revision 1.134  2007/08/04 15:36:29  patrys
- conflict with syslog

Revision 1.133  2007/04/03 22:12:36  qboosh
- updated to 2.0.3
- updated link patch

Revision 1.132  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.131  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.130  2007/02/11 11:49:38  arekm
- eventlog >= 0.2

Revision 1.129  2007/02/11 00:30:31  areq
- 2.0.2

Revision 1.128  2006/11/16 19:25:04  qboosh
- updated to 2.0.0

Revision 1.127  2006/11/05 20:59:43  sparky
- BR: glibc-static

Revision 1.126  2006/10/17 09:38:31  jajcus
- version 2.0rc3 (includes important bugfixes)

Revision 1.125  2006/09/26 18:36:38  glen
- glib2 epoch, cosmetics

Revision 1.124  2006/08/30 04:44:28  havner
- /var/log/iptables added as its in config file and logrotate
- rel 3

Revision 1.123  2006/08/30 04:34:06  havner
- xferlog added
- rel 2

Revision 1.122  2006/05/25 18:02:25  qboosh
- updated to 1.9.11 (IPv6 support, bugfixes)

Revision 1.121  2006/05/11 21:37:42  glen
- add sysconfig file

Revision 1.120  2006/05/09 14:40:22  glen
- BR pkgconfig

Revision 1.119  2006/05/09 14:37:11  glen
- doesn't build here

Revision 1.118  2006/04/22 19:09:43  qboosh
- updated to 1.9.10, removed obsolete level patch

Revision 1.117  2006/03/25 22:24:10  qboosh
- License is GPL v2 (only)

Revision 1.116  2006/03/25 22:11:24  qboosh
- added level patch (fixes level filters); release 2

Revision 1.115  2006/03/12 20:52:35  qboosh
- added dynamic bcond

Revision 1.114  2006/03/01 18:58:37  baggins
- no, we don't want to use shared eventlog

Revision 1.113  2006/03/01 18:48:07  glen
- use %service

Revision 1.112  2006/02/28 14:03:46  baggins
- rel 1

Revision 1.111  2006/02/27 21:31:01  baggins
- time to move to 2.0 - updated to 1.9.9

Revision 1.110  2006/02/27 18:53:38  baggins
- updated files
- killed /var/log/mail dir

Revision 1.109  2006/02/27 18:07:00  baggins
- cleaned up, non-duplicating, consistent configuration
- be aware you may find very little in /var/log/messages now

Revision 1.108  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.107  2005/12/07 13:40:02  hawk
- release 3 (2 for Ra)

Revision 1.106  2005/11/27 22:51:42  qboosh
- updated to 1.6.9

Revision 1.105  2005/08/04 08:25:07  hawk
- release should be 2 (1 is for Ra)

Revision 1.104  2005/05/26 17:15:34  areq
- 1.6.8

Revision 1.103  2005/04/13 13:04:54  hawk
- release 3 (2 for Ra)

Revision 1.102  2005/04/10 07:43:44  paszczus
- updated to 1.6.7

Revision 1.101  2005/04/02 11:39:57  havner
- rel 3 for fixed logrotate config

Revision 1.100  2005/03/09 20:54:05  qboosh
- release 2

Revision 1.99  2005/02/06 14:55:33  qboosh
- updated to 1.6.6, added link patch

Revision 1.98  2004/11/24 17:04:12  witekfl
- html docs added to %doc
- rel 4

Revision 1.97  2004/10/12 20:46:30  paszczus
- massive attack: added Sources-size

Revision 1.96  2004/09/05 18:45:20  grzegol
- rel. 3

Revision 1.95  2004/09/05 16:44:45  grzegol
- removed /var/log/archiv directory - it is in logrotate package, which is
  required by syslog-ng

Revision 1.94  2004/08/13 00:03:48  arekm
- rel 2; rebuild with fixed cron entry in config

Revision 1.93  2004/08/06 19:20:52  qboosh
- updated to 1.6.5, removed obsolete ac25x patch, simplified spec

Revision 1.92  2004/05/19 14:31:34  undefine
- update to 1.6.4

Revision 1.91  2004/05/12 12:47:07  pbern
- BR: libol-static >= 0.3.13

Revision 1.90  2004/05/12 06:48:45  paszczus
- fixed URL

Revision 1.89  2004/05/12 00:11:19  arekm
- updated to 1.6.3

Revision 1.88  2004/03/31 21:07:33  arekm
- final 1.6.2

Revision 1.87  2004/03/03 20:48:44  undefine
- more examples, .2

Revision 1.86  2003/11/08 17:12:07  pius
- up to 1.6.0-rc4
- fixed syslog-ng-ac25x.patch for autoconf-1.58

Revision 1.85  2003/09/10 21:13:10  blues
- release 3 - enabled tcp wrapper support, not tested

Revision 1.84  2003/09/10 20:32:55  blues
- merged from RA-branch

Revision 1.83  2003/09/10 18:02:52  blues
- cosmetics

Revision 1.82  2003/08/13 08:03:27  pbern
- update BR

Revision 1.81  2003/07/28 13:21:16  pascalek
- updated to 1.6.0rc3

Revision 1.80  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/02/23 01:17:13  misi3k
- fix URL Source0

Revision 1.77  2003/02/14 13:59:26  qboosh
- fixed patch number

Revision 1.76  2003/02/14 13:30:30  qboosh
- merged DEVEL

Revision 1.56.2.6  2003/02/14 13:15:22  qboosh
- 1.5.26

Revision 1.56.2.5  2002/11/05 15:16:54  qboosh
- updated to 1.5.23, updated ac25x patch

Revision 1.56.2.4  2002/10/11 07:44:53  qboosh
- security update to 1.5.21

Revision 1.56.2.3  2002/09/21 00:55:12  baggins
- I want to see if the restart succeded in %post :/

Revision 1.56.2.2  2002/09/20 13:27:18  baggins
- updated to 1.5.20
- obsoletes klogd - AT LAST!

Revision 1.75  2002/12/07 23:49:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.74  2002/11/21 11:54:31  undefine
- add obsoletes msyslog

Revision 1.73  2002/11/04 16:38:39  jack
- updated to version 1.4.17
- from changelog:
  * Fixed a possible off-by-one problem
  * A more correct version of the previous security update was added.

Revision 1.72  2002/10/10 23:08:50  cieciwa
- update to version 1.4.16,
- release 1.

Revision 1.71  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/08/16 14:01:18  blues
- small fix in directories creation - STBR again

Revision 1.69  2002/08/16 13:19:50  kloczek
- release 8.

Revision 1.68  2002/08/16 10:06:45  blues
- added missing dirs

Revision 1.67  2002/07/31 00:25:21  undefine
- yet another change in syslog-ng.conf file
- release 7.

Revision 1.66  2002/07/30 23:21:53  undefine
- release 6 to rebuild with fixed syslog-ng.conf

Revision 1.65  2002/07/30 18:08:37  kloczek
- release 5,
- remove logging all on tty12 *this is unsecure in default configuration),
- remove duplicated mail logging to /var/log/mail

Revision 1.64  2002/07/02 10:35:17  gotar
- Requires -> Requires(post): fileutils

Revision 1.63  2002/07/01 08:09:47  gotar
- ooops, previous change will cause erasing logs on upgrade,
  touch back in %post, release 4.

Revision 1.62  2002/06/13 18:05:38  gotar
- cosmetics,
- typo,
- stale logrotate.d prefix,
- touch replaced with >,
- new %doc.

Revision 1.61  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.60  2002/05/13 20:05:20  qboosh
- added ac25x patch needed for autoconf 2.53
- use config(noreplace)
- fixed bashism in %post
- release 3

Revision 1.59  2002/05/13 06:53:20  kloczek
- updated to 1.4.15.

Revision 1.58  2002/05/05 15:55:16  kloczek
- merge translations from Conectiva.

Revision 1.57  2002/05/05 13:38:26  speedy
- s/GNU\/Linux/Linux/g - STBR

Revision 1.56  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/10/22 22:11:23  qboosh
- rm -f missing

Revision 1.52  2001/10/22 11:43:52  areq
- 1.4.14, STBR

Revision 1.51  2001/10/06 23:48:27  baggins
- release 2
- proper logrotate config

Revision 1.50  2001/09/25 18:02:07  kloczek
- updated to 1.4.13.

Revision 1.49  2001/09/25 13:46:11  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.48  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/13 18:54:24  areq
- 1.4.12, STBR

Revision 1.45  2001/04/28 15:09:35  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.44  2001/04/09 08:27:09  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.43  2001/02/25 19:11:15  areq
- BuildRequires:  libol-static >= 0.2.21 STB

Revision 1.42  2001/02/25 18:54:44  areq
- 1.4.11

Revision 1.41  2001/02/19 18:37:44  kloczek
- regenerate all am/ac files for allow build in automake > 1.4 environment.

Revision 1.40  2001/02/19 14:02:20  baggins
- release 2
- added /var/log/messages to logrotate

Revision 1.39  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.38  2000/12/28 22:45:23  areq
- add Requires:       fileutils

Revision 1.37  2000/11/30 02:01:12  kloczek
- updated to 1.4.10.

Revision 1.36  2000/11/22 22:33:09  kloczek
- updated to 1.4.9.

Revision 1.35  2000/11/06 14:34:14  kloczek
- updated to 1.4.8.

Revision 1.34  2000/10/04 03:35:21  kloczek
- updated to 1.4.7 (importand release because in 1.4.7 was fixed mem leak),
- BuildRequires: libol-static >= 0.2.20,
- use new rpm automation suit.

Revision 1.33  2000/09/25 02:33:28  baggins
- release 10
- fixed ownership of inn (news.*) logs

Revision 1.32  2000/09/19 08:21:14  kloczek
- release 9,
- added restart klogd in %post (this is neccessary for correct logging
  information by klogd after restarting syslogd).

Revision 1.31  2000/09/06 14:19:04  zagrodzki
- fixed syslog-ng.init

Revision 1.30  2000/09/01 13:54:43  baggins
- typo

Revision 1.29  2000/09/01 13:53:11  baggins
- release 7
- fixed logrotate config

Revision 1.28  2000/08/28 09:01:58  zagrodzki
- release 6
- fixed broken %post/%postun scripts

Revision 1.27  2000/08/20 15:10:18  baggins
- release 5
- fixed logrotate config

Revision 1.26  2000/08/09 10:27:30  zagrodzki
- install -d /etc/logrotate.d

Revision 1.25  2000/08/09 10:23:46  zagrodzki
- release 4
- added logrotate config file
- requires: logrotate

Revision 1.24  2000/08/05 21:24:40  baggins
- release 3
- big compatibility cleanup in /var/log/ and syslog-ng.conf

Revision 1.23  2000/08/03 09:16:13  kloczek
- release 2,
- adapterized.

Revision 1.22  2000/08/01 14:55:05  mis
- Provide: "syslogdaemon" added

Revision 1.21  2000/07/25 05:59:20  kloczek
- updated to 1.4.5.

Revision 1.20  2000/06/09 07:55:11  kloczek
- more %{__make} macros.

Revision 1.19  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.18  2000/05/13 11:50:14  klakier
- release 3

Revision 1.17  2000/05/11 20:42:17  kloczek
- adapterized.

Revision 1.16  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/25 21:59:09  zagrodzki
- typo

Revision 1.14  2000/04/25 20:55:28  bonkey
- release 2

Revision 1.13  2000/04/25 20:54:32  bonkey
- corrected %post and %preun scripts

Revision 1.12  2000/04/21 00:42:04  kloczek
- updated to 1.4.3.

Revision 1.11  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.9  2000/03/28 07:37:10  kloczek
- updated to 1.4.2,
- new init script (rc-script 0.2.x compliant).

Revision 1.8  2000/03/13 17:08:40  kloczek
- cosmetics.

Revision 1.7  2000/03/13 14:00:31  cieciwa
- change BuildRequires from libol >=0.2.4 to libol-static >= 0.2.4

Revision 1.6  2000/03/12 19:28:47  kloczek
- updated to 1.4.1,
- added "BuildRequires: flex".

Revision 1.5  2000/02/28 14:36:00  kloczek
- updated to 1.3.17,
- spec adapterized.
- gzipping %doc instead bzipping2,
  Package builds correctly but need testing.
